@charset "UTF-8";

html{
    max-width: 100%;
    overflow-x: hidden;
    scroll-behavior: smooth;
}

body {
    background-color: black;
    margin: 0%;
}

.preventscroll {
    overflow: hidden;
    height: 100vh;
}

*.unselectable {
    -moz-user-select: -moz-none;
    -khtml-user-select: none;
    -webkit-user-select: none;
 
    /*
      Introduced in IE 10.
      See http://ie.microsoft.com/testdrive/HTML5/msUserSelect/
    */
    -ms-user-select: none;
    user-select: none;
 }
 
a{
    color: white;
    position: relative;
}

a:hover {
    color: white;
    text-decoration: none;
}

.loading_icon {
    display: inline-block;
    position: fixed;
    top: 43%;
    height: 80px;
    -webkit-animation:spin 4s linear infinite;
    -moz-animation:spin 4s linear infinite;
    animation:spin 4s linear infinite;
    }
    @-moz-keyframes spin { 100% { -moz-transform: rotate(360deg); } }
    @-webkit-keyframes spin { 100% { -webkit-transform: rotate(360deg); } }
    @keyframes spin { 100% { -webkit-transform: rotate(360deg); transform:rotate(360deg); } 
}

a:before {
    content: "";
    position: absolute;
    width: 0%;
    height: 1px;
    bottom: 0;
    left: 0;
    background-color: #FFF;
    color: white;
    visibility: hidden;
    transition: all 0.3s ease-in-out;
  }
  
a:hover:before {
      visibility: visible;
      width: 100%;
      color: white;
}


.seeproject p {
    margin-top: 5px;
}

.seeproject a {
    cursor: pointer;
    text-transform: uppercase;
}

a:hover {
    cursor:pointer;
}


.underline a {
    color: white;
    text-decoration: none;
    background-image: linear-gradient(white, white);
    background-size: 100% 1px;
    background-position-y: 100%;
    background-position-x: 0%;
    background-repeat: no-repeat;
    transition: background-size 0.2s ease-in-out;
    }


.underline a:hover {
    color: white;
    background-size: 0% 1px;
    background-position-x: 100%;
    text-decoration: none;
}

.underline a:before {
    height: 0px;
  }


.title {
    color: white;
    text-align: center;
    margin: auto;
}

.title h1 {
    text-transform: uppercase;
    font-size: 100px;
}

.title h2 {
    font-size: small;
}


h1 {
    font-family: 'Quicksand', sans-serif;
}

h2 {
    font-family: 'Quicksand', sans-serif;
}

h3 {
    font-family: 'Quicksand', sans-serif;
}

h4 {
    font-family: 'Quicksand', sans-serif;
}

p {
    font-family: 'Quicksand', sans-serif;
    color: white;
    font-size: 10px;
}

li {
    font-family: 'Quicksand', sans-serif;
    color: white;
    font-size: 10px;
}


.navigation {
    color: white;
    mix-blend-mode: difference;
    z-index: 100;
    position: fixed;
    right: 35px;
    top: 25px;
}

.nav-font {
    font-size: 10px;
    position: relative;
    margin: 0%;
    display: inline;
}

.navigation-dot {
    cursor: default;
    margin-left: 2.5px;
    margin-right: 2.5px ;
}

.navigation-highlight:hover {
    cursor: pointer;
}

h4.navigation-highlight:before {
    content: "";
    position: absolute;
    width: 0;
    height: 1px;
    bottom: 0;
    left: 0;
    background-color: #FFF;
    color: white;
    visibility: hidden;
    transition: all 0.3s ease-in-out;
  }
  
  h4.navigation-highlight:hover:before {
      visibility: visible;
      width: 100%;
      color: white;
  }
  
  h4.navigation-highlight:hover {
      color: white;
      text-decoration: none;
}

.home-icon {
    position: fixed;
    top: 20px;
    left: 20px;
    transition: transform .5s ease-in-out;
    transition: 0.5s ease-in-out;
    width: 40px;
    z-index: 50;
}

.home-icon:hover {
    cursor: pointer;
    transform: rotate(180deg);
}





